"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Extract the ProtoData from a class prototype,
 * possibly creating it if needed
 * @see [[ProtoData]]
 * @param obj the object to extract data from
 * @param createIfNotFound create the protoData if it is undefined
 * @private
 */
function getProtoData(obj, createIfNotFound = false) {
    const wrapped = obj;
    if (!wrapped.__protoData) {
        if (createIfNotFound) {
            wrapped.__protoData = {
                uris: [],
                fields: [],
                rels: [],
                views: []
            };
        }
        else {
            throw new Error(`Object ${wrapped} has no __protoData`);
        }
    }
    return wrapped.__protoData;
}
exports.default = getProtoData;
//# sourceMappingURL=getProtoData.js.map