"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Extract sloth data from an entity instance,
 * throwing an exception if it can't be found
 * @param obj the class instance to extract from
 * @typeparam S the entity schema
 * @private
 */
function getSlothData(obj) {
    const wrapped = obj;
    if (!wrapped.sloth) {
        throw new Error(`Class ${wrapped} does not extend SlothEntity`);
    }
    return wrapped.sloth;
}
exports.default = getSlothData;
//# sourceMappingURL=getSlothData.js.map