"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const getProtoData_1 = require("./getProtoData");
function belongsToMapper(target, keyName) {
    return (factory) => {
        const { rels } = getProtoData_1.default(target);
        const rel = rels.find(({ key }) => key === keyName);
        if (!rel) {
            throw new Error(`No relation available for ${keyName}`);
        }
        if ('belongsTo' in rel) {
            return rel.belongsTo().findById(factory, target[keyName]);
        }
        throw new Error('Unsupported relation');
    };
}
exports.belongsToMapper = belongsToMapper;
//# sourceMappingURL=relationMappers.js.map