import BaseEntity from '../models/BaseEntity';
import PouchFactory from '../models/PouchFactory';
import EntityConstructor from '../helpers/EntityConstructor';
/**
 * This decorator is used to mark classes that will be an entity, a document
 * This function, by extending the constructor and defining this.sloth property
 * effectively allows the usage of other property decorators
 * @param name The database name for this entity
 * @typeparam S The database schema
 */
export default function SlothEntity<S extends {
    _id: string;
}>(name: string): <T extends BaseEntity<S>>(constructor: new (factory: PouchFactory<S>, idOrProps: string | Partial<S>) => T) => EntityConstructor<S, T>;
