/**
 * Creates a view for a field. This function does not modify the
 * behavior of the current field, hence requires another decorator
 * such as SlothURI or SlothField.  The view  will be created by the SlothDatabase
 *
 * @export
 * @template S
 * @param {(doc: S, emit: Function) => void} fn the view function, as arrow or es5 function
 * @param {string} [docId='views'] the _design document identifier
 * @param {string} [viewId] the view identifier, default by_<property name>
 * @returns the decorator to apply on the field
 */
export default function SlothView<S, V extends string = string>(fn: (doc: S, emit: Function) => void, viewId?: V, docId?: string): (target: object, key: string) => void;
